%global apiver 1.6
# first two digits of version
%global release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           atkmm
Version:        2.22.0
Release:        1
Summary:        C++ interface for the ATK library

Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/atkmm/%{release_version}/atkmm-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686
BuildRequires:  atk-devel
BuildRequires:  glibmm-devel

# atkmm was split out into a separate package in gtkmm 2.21.1
Conflicts:      gtkmm < 2.21.1

%description
atkmm provides a C++ interface for the ATK library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       atk-devel
Requires:       glibmm-devel
Conflicts:      gtkmm-devel < 2.21.1

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# Fix documentation installation, put everything under gtk-doc and fix
# relative paths.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/atkmm-%{apiver}
mv $RPM_BUILD_ROOT%{_docdir}/atkmm-%{apiver}/* $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/atkmm-%{apiver}/
mv $RPM_BUILD_ROOT%{_datadir}/devhelp/books/atkmm-%{apiver}/*.devhelp2 $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/atkmm-%{apiver}
# Fix broken devhelp base tag
sed -i 's:base="[^\"]*":base="/usr/share/gtk-doc/html/atkmm-%{apiver}/reference/html":' $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/atkmm-%{apiver}/*.devhelp2


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/atkmm-%{apiver}/
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_libdir}/atkmm-%{apiver}/
%{_datadir}/gtk-doc/


%changelog
* Wed Oct 06 2010 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Initial CCux package release
